<template>
<v-container v-if="users.length>0">
    <h2 class="text-center">Current Users</h2>
    <v-simple-table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Password</th>
                <th>Usertype</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="user in users" :key="user.id">
            <td><v-text-field v-model="user.username"></v-text-field></td>
            <td><v-text-field v-model="user.password"></v-text-field></td>
            <td><v-select v-model="user.userType" :items="options"></v-select></td>
            <td><v-btn color="error" fab @click="$emit('delete-user',user)"><v-icon >mdi-trash-can</v-icon></v-btn></td>
            </tr>
        </tbody>
    </v-simple-table>
    <v-row justify="center">
        <v-btn @click="$emit('save-users',users)">Save Users</v-btn>
    </v-row>
</v-container>
</template>

<script>
export default {
    name: "UserTable",
    props:[
        "users"    
    ],
    data:()=>({
        options:['Regular User','Admin']
    })

}
</script>